Bug 40737 - udm remove is missing --ignore_not_exists
udm remove is missing --ignore_not_exists
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UDM - CLI
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 10:33 CET by Florian Best
Modified: 2017-07-05 13:31 CEST (History)
0 users

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.046
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2016-02-19 10:33:53 CET
udm remove is missing --ignore_not_exists. Otherwise in unjoinscripts we cannot really use "|| die".
Comment 1 Florian Best univentionstaff 2016-09-09 12:19:49 CEST
I would have find it helpful to have this during the Upgrade to UCS 4.2.
Comment 2 Florian Best univentionstaff 2017-07-04 14:59:01 CEST
I added that option.

ucs-test (7.0.22-16):
r80821 | Bug #40737: add udm remove --ignore_not_exists

univention-directory-manager-modules (12.0.17-56):
r80821 | Bug #40737: add udm remove --ignore_not_exists

univention-directory-manager-modules.yaml:
r80822 | YAML Bug #40737
Comment 3 Florian Best univentionstaff 2017-07-04 15:08:00 CEST
# udm users/user remove --ignore_not_exists                                                                                                                                                                                       
E: dn or filter needed
# udm users/user remove --ignore_not_exists --dn uid=asdfasdfasdfasdfasdfa,dc=school,dc=local
Object not found: uid=asdfasdfasdfasdfasdfa,dc=school,dc=local
# echo $?
0
# udm users/user remove --ignore_not_exists --filter uid=asdfasdfasdfasdfasdfa                                                                                                                                                    
Object not found: uid=asdfasdfasdfasdfasdfa
# udm users/user remove --dn uid=asdfasdfasdfasdfasdfa,dc=school,dc=local                                                                                                                                                         
E: object not found
# echo $?
3
Comment 4 Johannes Keiser univentionstaff 2017-07-04 15:45:46 CEST
OK remove operation does not fail when --ingore_not_exists is used and dn or
   filter is specified.

YAML: OK
-> verified
Comment 5 Janek Walkenhorst univentionstaff 2017-07-05 13:06:23 CEST
<http://errata.software-univention.de/ucs/4.2/79.html>